Package com.orchestranetworks.dataservices.rest

# Interface Constants.Data

Enclosing interface:
  Constants

public static interface Constants.Data
Data keys and parameters.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CATEGORY`
  `static final String`
  `CATEGORY_BUSINESS_OBJECT`
  `static final String`
  `CATEGORY_BUSINESS_OBJECT_COMPACT`
  `static final String`
  `CATEGORY_COMPACT`
  `static final String`
  `KEY_ACTIVATED`
  `static final String`
  `KEY_BUSINESS_OBJECT_DETAILS`
  `static final String`
  `KEY_CHILDREN_DETAILS`
  `static final String`
  `KEY_CODE`
  `static final String`
  `KEY_CONTENT`
  `static final String`
  `KEY_COUNT`
  `static final String`
  `KEY_DATA_MODEL`
  `static final String`
  `KEY_DESCRIPTION`
  `static final String`
  `KEY_DETAILS`
  `static final String`
  `KEY_DOCUMENTATION`
  `static final String`
  `KEY_FOREIGN_KEY`
  `static final String`
  `KEY_HAS_CHILDREN`
  `static final String`
  `KEY_INA_MODE`
  `static final String`
  `KEY_INFORMATION`
  `static final String`
  `KEY_INHERITANCE_MODE`
  `static final String`
  `KEY_IS_SELECT_ALLOWED`
  `static final String`
  `KEY_KEY`
  `static final String`
  `KEY_LABEL`
  `static final String`
  `KEY_LOCALE`
  `static final String`
  `KEY_MODULE`
  `static final String`
  `KEY_OPEN_API_DETAILS`
  `static final String`
  `KEY_OWNER`
  `static final String`
  `KEY_PARENT`
  `static final String`
  `KEY_PATH_IN_MODULE`
  `static final String`
  `KEY_PRIMARY_KEY`
  `static final String`
  `KEY_PUBLICATION`
  `static final String`
  `KEY_ROWS`
  `static final String`
  `KEY_SORT_BY_RELEVANCY`
  `static final String`
  `KEY_SORT_CRITERIA`
  `static final String`
  `KEY_SORT_CRITERIA_ORDER`
  `static final String`
  `KEY_SORT_CRITERIA_PATH`
  `static final String`
  `KEY_TECHNICALS_CREATION_DATE`
  Deprecated.
  since 6.1.0, replaced by `KEY_TECHNICALS_CREATION_TIME`.
  `static final String`
  `KEY_TECHNICALS_CREATION_TIME`
  `static final String`
  `KEY_TECHNICALS_CREATION_USER`
  Deprecated.
  since 6.1.0, replaced by `KEY_TECHNICALS_CREATOR`.
  `static final String`
  `KEY_TECHNICALS_CREATOR`
  `static final String`
  `KEY_TECHNICALS_LAST_UPDATE_DATE`
  Deprecated.
  since 6.1.0, replaced by `KEY_TECHNICALS_UPDATE_TIME`.
  `static final String`
  `KEY_TECHNICALS_LAST_UPDATE_USER`
  Deprecated.
  since 6.1.0, replaced by `KEY_TECHNICALS_UPDATER`.
  `static final String`
  `KEY_TECHNICALS_UPDATE_TIME`
  `static final String`
  `KEY_TECHNICALS_UPDATER`
  `static final String`
  `KEY_TECHNICALS_UUID`
  `static final String`
  `KEY_VALIDATION`
  `static final String`
  `KEY_VALIDATION_DETAILS`
  `static final String`
  `KEY_VALIDATION_LEVEL`
  `static final String`
  `KEY_VALIDATION_MESSAGE`
  `static final String`
  `KEY_VERSION_NAME`
  `static final String`
  `PARAM_BLOCKING_CONSTRAINTS_DISABLED`
  `static final String`
  `PARAM_BY_DELTA`
  `static final String`
  `PARAM_CHECK_NOT_CHANGED_SINCE_LAST_UPDATE_DATE`
  Deprecated.
  since 6.1.0, replaced by #PARAM_CHECK_NOT_CHANGED_SINCE_LAST_UPDATE_TIME
  `static final String`
  `PARAM_CHECK_NOT_CHANGED_SINCE_LAST_UPDATE_TIME`
  `static final String`
  `PARAM_COUNT`
  Deprecated.
  since 6.0.0, replaced by `URL_ACTION_COUNT`
  `static final String`
  `PARAM_DISABLE_REDIRECTION_TO_LAST_BROADCAST`
  `static final String`
  `PARAM_EBX_CHANNEL`
  `static final String`
  `PARAM_EBX_INDENT`
  `static final String`
  `PARAM_FILTER`
  `static final String`
  `PARAM_INCLUDE_CONTENT`
  `static final String`
  `PARAM_INCLUDE_DETAILS`
  `static final String`
  `PARAM_INCLUDE_FK`
  `static final String`
  `PARAM_INCLUDE_HISTORY`
  `static final String`
  `PARAM_INCLUDE_LABEL`
  `static final String`
  `PARAM_INCLUDE_METADATA`
  `static final String`
  `PARAM_INCLUDE_OCCULTING`
  `static final String`
  `PARAM_INCLUDE_OPEN_API_DETAILS`
  `static final String`
  `PARAM_INCLUDE_SELECTOR`
  `static final String`
  `PARAM_INCLUDE_SORT_CRITERIA`
  `static final String`
  `PARAM_INCLUDE_TECHNICALS`
  Deprecated.
  since 6.1.0, replaced by `PARAM_INCLUDE_METADATA` with 'system' value.
  `static final String`
  `PARAM_INCLUDE_VALIDATION`
  `static final String`
  `PARAM_INDENT`
  Deprecated.
  since 6.0.0, replaced by `PARAM_EBX_INDENT`.
  `static final String`
  `PARAM_INHERIT_IF_IN_OCCULTING_MODE`
  Deprecated.
  Since 5.8.1 due to simplification of the delete operation when attempting to change a record's inheritance from `occult` to `inherit`.
  `static final String`
  `PARAM_PRIMARY_KEY`
  `static final String`
  `PARAM_SORT`
  `static final String`
  `PARAM_SORT_BY_RELEVANCY`
  `static final String`
  `PARAM_SORT_ON_LABEL`
  `static final String`
  `PARAM_SORT_PRIORITY`
  `static final String`
  `PARAM_UPDATE_OR_INSERT`
  `static final String`
  `PARAM_VIEW_PUBLICATION`
  `static final String`
  `URL_ACTION_CHILDREN`
  `static final String`
  `URL_ACTION_COUNT`
  `static final String`
  `URL_ACTION_INFORMATION`
  `static final String`
  `URL_ACTION_MASS`
  `static final String`
  `URL_ACTION_PREPARE_FOR_CREATION`
  `static final String`
  `URL_ACTION_PREPARE_FOR_DUPLICATION`
  `static final String`
  `URL_ACTION_PUBLISHED_VIEWS`
  `static final String`
  `URL_ACTION_SELECT`
  `static final String`
  `VALUE_EBX_CHANNEL_DATA_SERVICES`
  `static final String`
  `VALUE_EBX_CHANNEL_UI`
  `static final String`
  `VALUE_FILTER_SELECT_ALL`
  Selects all the entities for update or delete.
  `static final String`
  `VALUE_INCLUDE_LABEL_ALL`
  `static final String`
  `VALUE_INCLUDE_LABEL_NO`
  `static final String`
  `VALUE_INCLUDE_LABEL_YES`
  `static final String`
  `VALUE_INCLUDE_METADATA_ALL`
  `static final String`
  `VALUE_SORT_PRIORITY_FROM_VIEW`

- ## Field Details

  - ### URL_ACTION_CHILDREN

    static final String URL_ACTION_CHILDREN
    Since:
      6.1.3
    See Also:
      - dataset `children` URL extended action
      - dataspace `children` URL extended action
      - Constant Field Values

  - ### URL_ACTION_COUNT

    static final String URL_ACTION_COUNT
    Since:
      6.0.0
    See Also:
      - `count` URL extended action
      - Constant Field Values

  - ### URL_ACTION_INFORMATION

    static final String URL_ACTION_INFORMATION
    Since:
      6.1.3
    See Also:
      - dataset `information` URL extended action
      - dataspace `information` URL extended action
      - Constant Field Values

  - ### URL_ACTION_MASS

    static final String URL_ACTION_MASS
    Since:
      6.1.0
    See Also:
      - `insert` URL extended action
      - `delete` URL extended action
      - Constant Field Values

  - ### URL_ACTION_PREPARE_FOR_CREATION

    static final String URL_ACTION_PREPARE_FOR_CREATION
    Since:
      6.0.0
    See Also:
      - `prepareForCreation` URL extended action
      - Constant Field Values

  - ### URL_ACTION_PREPARE_FOR_DUPLICATION

    static final String URL_ACTION_PREPARE_FOR_DUPLICATION
    Since:
      6.0.0
    See Also:
      - `prepareForDuplication` URL extended action
      - Constant Field Values

  - ### URL_ACTION_PUBLISHED_VIEWS

    static final String URL_ACTION_PUBLISHED_VIEWS
    Since:
      6.0.0
    See Also:
      - `publishedViews` URL extended action
      - Constant Field Values

  - ### URL_ACTION_SELECT

    static final String URL_ACTION_SELECT
    Since:
      6.0.0
    See Also:
      - `select` URL extended action
      - Constant Field Values

  - ### CATEGORY

    static final String CATEGORY
    See Also:
      - `data` URL category
      - Constant Field Values

  - ### CATEGORY_BUSINESS_OBJECT

    static final String CATEGORY_BUSINESS_OBJECT
    Since:
      6.1.3
    See Also:
      - `data` URL category
      - Constant Field Values

  - ### CATEGORY_COMPACT

    static final String CATEGORY_COMPACT
    Since:
      6.0.0
    See Also:
      - `data-compact` URL category
      - Constant Field Values

  - ### CATEGORY_BUSINESS_OBJECT_COMPACT

    static final String CATEGORY_BUSINESS_OBJECT_COMPACT
    Since:
      6.1.3
    See Also:
      - `data` URL category
      - Constant Field Values

  - ### PARAM_PRIMARY_KEY

    static final String PARAM_PRIMARY_KEY
    See Also:
      - `primaryKey` query parameter
      - Constant Field Values

  - ### PARAM_FILTER

    static final String PARAM_FILTER
    See Also:
      - `filter` query parameter
      - Constant Field Values

  - ### VALUE_FILTER_SELECT_ALL

    static final String VALUE_FILTER_SELECT_ALL
    Selects all the entities for update or delete.
    Since:
      6.1.0
    See Also:
      - Constant Field Values

  - ### PARAM_SORT

    static final String PARAM_SORT
    See Also:
      - `sort` query parameter
      - Constant Field Values

  - ### PARAM_SORT_ON_LABEL

    static final String PARAM_SORT_ON_LABEL
    Since:
      5.8.0
    See Also:
      - `sortOnLabel` query parameter
      - Constant Field Values

  - ### PARAM_SORT_PRIORITY

    static final String PARAM_SORT_PRIORITY
    Since:
      6.0.0
    See Also:
      - `sortPriority` query parameter
      - Constant Field Values

  - ### VALUE_SORT_PRIORITY_FROM_VIEW

    static final String VALUE_SORT_PRIORITY_FROM_VIEW
    Since:
      6.0.0
    See Also:
      - `sortFromView` value
      - `PARAM_VIEW_PUBLICATION`
      - `PARAM_SORT_PRIORITY`
      - Constant Field Values

  - ### PARAM_SORT_BY_RELEVANCY

    static final String PARAM_SORT_BY_RELEVANCY
    Since:
      6.0.0
    See Also:
      - `sortByRelevancy` query parameter
      - Constant Field Values

  - ### PARAM_VIEW_PUBLICATION

    static final String PARAM_VIEW_PUBLICATION
    See Also:
      - `viewPublication` query parameter
      - Constant Field Values

  - ### PARAM_DISABLE_REDIRECTION_TO_LAST_BROADCAST

    static final String PARAM_DISABLE_REDIRECTION_TO_LAST_BROADCAST
    See Also:
      - `disableRedirectionToLastBroadcast` query parameter
      - Constant Field Values

  - ### PARAM_INCLUDE_CONTENT

    static final String PARAM_INCLUDE_CONTENT
    See Also:
      - `includeContent` query parameter
      - Constant Field Values

  - ### PARAM_INCLUDE_HISTORY

    static final String PARAM_INCLUDE_HISTORY
    Since:
      5.8.0
    See Also:
      - `includeHistory` query parameter
      - Constant Field Values

  - ### PARAM_INCLUDE_METADATA

    static final String PARAM_INCLUDE_METADATA
    Since:
      6.1.0
    See Also:
      - `includeMetadata` query parameter
      - Constant Field Values

  - ### VALUE_INCLUDE_METADATA_ALL

    static final String VALUE_INCLUDE_METADATA_ALL
    Since:
      6.1.0
    See Also:
      - `PARAM_INCLUDE_METADATA`
      - Constant Field Values

  - ### PARAM_INCLUDE_OCCULTING

    static final String PARAM_INCLUDE_OCCULTING
    See Also:
      - `includeOcculting` query parameter
      - Constant Field Values

  - ### PARAM_INCLUDE_OPEN_API_DETAILS

    static final String PARAM_INCLUDE_OPEN_API_DETAILS
    Since:
      6.0.0
    See Also:
      - `includeOpenApiDetails` query parameter
      - Constant Field Values

  - ### PARAM_INCLUDE_SELECTOR

    static final String PARAM_INCLUDE_SELECTOR
    Since:
      5.8.1
    See Also:
      - `includeSelector` query parameter
      - Constant Field Values

  - ### PARAM_INCLUDE_SORT_CRITERIA

    static final String PARAM_INCLUDE_SORT_CRITERIA
    Since:
      5.8.0
    See Also:
      - `includeSortCriteria` query parameter
      - Constant Field Values

  - ### PARAM_INCLUDE_TECHNICALS

    @Deprecated static final String PARAM_INCLUDE_TECHNICALS
    Deprecated.
    since 6.1.0, replaced by `PARAM_INCLUDE_METADATA` with 'system' value.
    See Also:
      - Constant Field Values

  - ### PARAM_INCLUDE_VALIDATION

    static final String PARAM_INCLUDE_VALIDATION
    See Also:
      - `includeValidation` query parameter
      - Constant Field Values

  - ### PARAM_INDENT

    @Deprecated static final String PARAM_INDENT
    Deprecated.
    since 6.0.0, replaced by `PARAM_EBX_INDENT`.
    See Also:
      - Constant Field Values

  - ### PARAM_EBX_INDENT

    static final String PARAM_EBX_INDENT
    Since:
      6.0.0
    See Also:
      - `ebx-indent` query parameter
      - `BuiltinQueryParam.INDENT`
      - Constant Field Values

  - ### PARAM_COUNT

    @Deprecated static final String PARAM_COUNT
    Deprecated.
    since 6.0.0, replaced by `URL_ACTION_COUNT`
    See Also:
      - `count` query parameter
      - Constant Field Values

  - ### PARAM_INCLUDE_LABEL

    static final String PARAM_INCLUDE_LABEL
    See Also:
      - `includeLabel` query parameter
      - Constant Field Values

  - ### VALUE_INCLUDE_LABEL_YES

    static final String VALUE_INCLUDE_LABEL_YES
    See Also:
      - `yes` value
      - Constant Field Values

  - ### VALUE_INCLUDE_LABEL_NO

    static final String VALUE_INCLUDE_LABEL_NO
    See Also:
      - `no` value
      - Constant Field Values

  - ### VALUE_INCLUDE_LABEL_ALL

    static final String VALUE_INCLUDE_LABEL_ALL
    See Also:
      - `all` value
      - Constant Field Values

  - ### PARAM_BLOCKING_CONSTRAINTS_DISABLED

    static final String PARAM_BLOCKING_CONSTRAINTS_DISABLED
    See Also:
      - Insert operation `blockingConstraintsDisabled` query parameter
      - Update operation `blockingConstraintsDisabled` query parameter
      - Delete operation `blockingConstraintsDisabled` query parameter
      - Constant Field Values

  - ### PARAM_CHECK_NOT_CHANGED_SINCE_LAST_UPDATE_DATE

    @Deprecated static final String PARAM_CHECK_NOT_CHANGED_SINCE_LAST_UPDATE_DATE
    Deprecated.
    since 6.1.0, replaced by #PARAM_CHECK_NOT_CHANGED_SINCE_LAST_UPDATE_TIME
    See Also:
      - Constant Field Values

  - ### PARAM_CHECK_NOT_CHANGED_SINCE_LAST_UPDATE_TIME

    static final String PARAM_CHECK_NOT_CHANGED_SINCE_LAST_UPDATE_TIME
    Since:
      6.1.0
    See Also:
      - Update operation `checkNotChangedSinceLastUpdateTime` query parameter
      - Delete operation `checkNotChangedSinceLastUpdateTime` query parameter
      - Constant Field Values

  - ### PARAM_BY_DELTA

    static final String PARAM_BY_DELTA
    See Also:
      - Update operation `byDelta` query parameter
      - Update form operation `byDelta` query parameter
      - Constant Field Values

  - ### PARAM_UPDATE_OR_INSERT

    static final String PARAM_UPDATE_OR_INSERT
    See Also:
      - Insert operation `updateOrInsert` query parameter
      - Insert form operation `updateOrInsert` query parameter
      - Constant Field Values

  - ### PARAM_INCLUDE_DETAILS

    static final String PARAM_INCLUDE_DETAILS
    See Also:
      - Select operation `includeDetails` query parameter
      - Insert form operation `includeDetails` query parameter
      - Prepare operation `includeDetails` query parameter
      - Insert operation `includeDetails` query parameter
      - Constant Field Values

  - ### PARAM_INCLUDE_FK

    static final String PARAM_INCLUDE_FK
    See Also:
      - Insert operation `includeForeignKey` query parameter
      - Insert form operation `includeForeignKey` query parameter
      - Constant Field Values

  - ### PARAM_EBX_CHANNEL

    static final String PARAM_EBX_CHANNEL
    Since:
      6.0.0
    See Also:
      - `ebx-channel` query parameter
      - `VALUE_EBX_CHANNEL_DATA_SERVICES`
      - `VALUE_EBX_CHANNEL_UI`
      - Constant Field Values

  - ### VALUE_EBX_CHANNEL_DATA_SERVICES

    static final String VALUE_EBX_CHANNEL_DATA_SERVICES
    Since:
      6.0.0
    See Also:
      - `dataServices` value
      - `PARAM_EBX_CHANNEL`
      - `VALUE_EBX_CHANNEL_UI`
      - Constant Field Values

  - ### VALUE_EBX_CHANNEL_UI

    static final String VALUE_EBX_CHANNEL_UI
    Since:
      6.0.0
    See Also:
      - `ui` value
      - `PARAM_EBX_CHANNEL`
      - `VALUE_EBX_CHANNEL_DATA_SERVICES`
      - Constant Field Values

  - ### PARAM_INHERIT_IF_IN_OCCULTING_MODE

    @Deprecated static final String PARAM_INHERIT_IF_IN_OCCULTING_MODE
    Deprecated.
    Since 5.8.1 due to simplification of the delete operation when attempting to change a record's inheritance from `occult` to `inherit`.
    See Also:
      - Constant Field Values

  - ### KEY_ACTIVATED

    static final String KEY_ACTIVATED
    Since:
      6.1.3
    See Also:
      - `activated` extended JSON property
      - `activated` compact JSON property
      - Constant Field Values

  - ### KEY_CHILDREN_DETAILS

    static final String KEY_CHILDREN_DETAILS
    Since:
      6.1.3
    See Also:
      - root and child dataset `children` extended JSON property
      - dataspace `children` JSON property
      - Constant Field Values

  - ### KEY_CODE

    static final String KEY_CODE
    See Also:
      - Constant Field Values

  - ### KEY_CONTENT

    static final String KEY_CONTENT
    See Also:
      - `includeContent` query parameter
      - `content` extended JSON property
      - `content` extended JSON property
      - Constant Field Values

  - ### KEY_COUNT

    static final String KEY_COUNT
    See Also:
      - `count` extended JSON property
      - Constant Field Values

  - ### KEY_DATA_MODEL

    static final String KEY_DATA_MODEL
    Since:
      6.1.3
    See Also:
      - `dataModel` extended JSON property
      - `dataModel` compact JSON property
      - inner `dataModel` extended JSON property
      - inner `dataModel` compact JSON property
      - Constant Field Values

  - ### KEY_DESCRIPTION

    static final String KEY_DESCRIPTION
    Since:
      6.1.3
    See Also:
      - dataset `description` extended JSON property
      - dataspace `description` JSON property
      - Constant Field Values

  - ### KEY_DETAILS

    static final String KEY_DETAILS
    See Also:
      - `details` JSON property
      - `PARAM_INCLUDE_DETAILS`
      - Constant Field Values

  - ### KEY_DOCUMENTATION

    static final String KEY_DOCUMENTATION
    Since:
      6.1.3
    See Also:
      - dataset `documentation` extended JSON property
      - dataspace `documentation` JSON property
      - Constant Field Values

  - ### KEY_FOREIGN_KEY

    static final String KEY_FOREIGN_KEY
    See Also:
      - `foreignKey` extended JSON property
      - Constant Field Values

  - ### KEY_HAS_CHILDREN

    static final String KEY_HAS_CHILDREN
    Since:
      6.1.3
    See Also:
      - root and child dataset `hasChildren` extended JSON property
      - root and child dataset `hasChildren` compact JSON property
      - dataspace `hasChildren` JSON property
      - Constant Field Values

  - ### KEY_INFORMATION

    static final String KEY_INFORMATION
    Since:
      6.1.3
    See Also:
      - root and child dataset `information` extended JSON property
      - dataspace `information` JSON property
      - Constant Field Values

  - ### KEY_INA_MODE

    static final String KEY_INA_MODE
    Since:
      5.8.1
    See Also:
      - `inheritedFieldMode` extended JSON property
      - Constant Field Values

  - ### KEY_INHERITANCE_MODE

    static final String KEY_INHERITANCE_MODE
    See Also:
      - `inheritanceMode` JSON property
      - Constant Field Values

  - ### KEY_IS_SELECT_ALLOWED

    static final String KEY_IS_SELECT_ALLOWED
    Since:
      6.1.3
    See Also:
      - root and child dataset `isSelectAllowed` extended JSON property
      - root and child dataset `isSelectAllowed` compact JSON property
      - dataspace `isSelectAllowed` JSON property
      - Constant Field Values

  - ### KEY_KEY

    static final String KEY_KEY
    Since:
      6.0.0
    See Also:
      - `key` compact JSON property
      - Constant Field Values

  - ### KEY_LABEL

    static final String KEY_LABEL
    See Also:
      - `Accept-Language` HTTP request header
      - Metadata `label` extended JSON property
      - `label` extended JSON property
      - `PARAM_INCLUDE_LABEL`
      - Constant Field Values

  - ### KEY_LOCALE

    static final String KEY_LOCALE
    Since:
      6.1.3
    See Also:
      - dataset `locale` extended JSON property
      - dataspace `locale` JSON property
      - Constant Field Values

  - ### KEY_MODULE

    static final String KEY_MODULE
    Since:
      6.1.3
    See Also:
      - `module` extended JSON property
      - `module` compact JSON property
      - Constant Field Values

  - ### KEY_OPEN_API_DETAILS

    static final String KEY_OPEN_API_DETAILS
    Since:
      6.0.0
    See Also:
      - `openApiDetails` extended JSON property
      - Constant Field Values

  - ### KEY_OWNER

    static final String KEY_OWNER
    Since:
      6.1.3
    See Also:
      - dataset `owner` extended JSON property
      - dataset `owner` compact JSON property
      - dataspace `owner` JSON property
      - Constant Field Values

  - ### KEY_PARENT

    static final String KEY_PARENT
    Since:
      6.1.3
    See Also:
      - dataset `parent` extended JSON property
      - dataset `parent` compact JSON property
      - dataspace `parent` JSON property
      - Constant Field Values

  - ### KEY_PATH_IN_MODULE

    static final String KEY_PATH_IN_MODULE
    Since:
      6.1.3
    See Also:
      - `pathInModule` extended JSON property
      - `pathInModule` compact JSON property
      - Constant Field Values

  - ### KEY_PRIMARY_KEY

    static final String KEY_PRIMARY_KEY
    See Also:
      - `primaryKey` extended JSON property
      - Constant Field Values

  - ### KEY_PUBLICATION

    static final String KEY_PUBLICATION
    Since:
      6.1.3
    See Also:
      - `publication` extended JSON property
      - `publication` compact JSON property
      - Constant Field Values

  - ### KEY_ROWS

    static final String KEY_ROWS
    Since:
      5.8.0
    See Also:
      - `rows` extended JSON property
      - `rows` compact JSON property
      - Constant Field Values

  - ### KEY_SORT_BY_RELEVANCY

    static final String KEY_SORT_BY_RELEVANCY
    Since:
      6.0.0
    See Also:
      - `sortByRelevancy` extended JSON property
      - Constant Field Values

  - ### KEY_BUSINESS_OBJECT_DETAILS

    static final String KEY_BUSINESS_OBJECT_DETAILS
    Since:
      6.1.3
    See Also:
      - `boDetails` extended JSON property
      - Constant Field Values

  - ### KEY_SORT_CRITERIA

    static final String KEY_SORT_CRITERIA
    Since:
      5.8.0
    See Also:
      - `sortCriteria` extended JSON property
      - Constant Field Values

  - ### KEY_SORT_CRITERIA_ORDER

    static final String KEY_SORT_CRITERIA_ORDER
    Since:
      5.8.0
    See Also:
      - `order` extended JSON property for sort criteria
      - `order` extended JSON property for sort by relevancy
      - Constant Field Values

  - ### KEY_SORT_CRITERIA_PATH

    static final String KEY_SORT_CRITERIA_PATH
    Since:
      5.8.0
    See Also:
      - `path` extended JSON property
      - Constant Field Values

  - ### KEY_TECHNICALS_CREATION_DATE

    @Deprecated static final String KEY_TECHNICALS_CREATION_DATE
    Deprecated.
    since 6.1.0, replaced by `KEY_TECHNICALS_CREATION_TIME`.
    See Also:
      - Constant Field Values

  - ### KEY_TECHNICALS_CREATION_TIME

    static final String KEY_TECHNICALS_CREATION_TIME
    Since:
      6.1.0
    See Also:
      - `creation_time` common JSON property
      - Constant Field Values

  - ### KEY_TECHNICALS_CREATION_USER

    @Deprecated static final String KEY_TECHNICALS_CREATION_USER
    Deprecated.
    since 6.1.0, replaced by `KEY_TECHNICALS_CREATOR`.
    See Also:
      - Constant Field Values

  - ### KEY_TECHNICALS_CREATOR

    static final String KEY_TECHNICALS_CREATOR
    Since:
      6.1.0
    See Also:
      - `creator` common JSON property
      - Constant Field Values

  - ### KEY_TECHNICALS_LAST_UPDATE_DATE

    @Deprecated static final String KEY_TECHNICALS_LAST_UPDATE_DATE
    Deprecated.
    since 6.1.0, replaced by `KEY_TECHNICALS_UPDATE_TIME`.
    See Also:
      - Constant Field Values

  - ### KEY_TECHNICALS_LAST_UPDATE_USER

    @Deprecated static final String KEY_TECHNICALS_LAST_UPDATE_USER
    Deprecated.
    since 6.1.0, replaced by `KEY_TECHNICALS_UPDATER`.
    See Also:
      - Constant Field Values

  - ### KEY_TECHNICALS_UPDATE_TIME

    static final String KEY_TECHNICALS_UPDATE_TIME
    Since:
      6.1.0
    See Also:
      - `update_time` common JSON property
      - Constant Field Values

  - ### KEY_TECHNICALS_UPDATER

    static final String KEY_TECHNICALS_UPDATER
    Since:
      6.1.0
    See Also:
      - `updater` common JSON property
      - Constant Field Values

  - ### KEY_TECHNICALS_UUID

    static final String KEY_TECHNICALS_UUID
    See Also:
      - `uuid` common JSON property
      - Constant Field Values

  - ### KEY_VALIDATION

    static final String KEY_VALIDATION
    See Also:
      - `validation` extended JSON property
      - Constant Field Values

  - ### KEY_VALIDATION_DETAILS

    static final String KEY_VALIDATION_DETAILS
    See Also:
      - `details` extended JSON property
      - Constant Field Values

  - ### KEY_VALIDATION_LEVEL

    static final String KEY_VALIDATION_LEVEL
    See Also:
      - `level` extended JSON property
      - Constant Field Values

  - ### KEY_VALIDATION_MESSAGE

    static final String KEY_VALIDATION_MESSAGE
    See Also:
      - `message` extended JSON property
      - Constant Field Values

  - ### KEY_VERSION_NAME

    static final String KEY_VERSION_NAME
    Since:
      6.1.3
    See Also:
      - `versionName` extended JSON property
      - `versionName` compact JSON property
      - Constant Field Values